MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003403Community[OCCT] OCCT:Modeling Algorithmspublic2003-08-04 13:242006-06-29 09:15
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 5.1.1 
Summary0003403: A little bug in XCAFDoc_DocumentTool.cxx
DescriptionBug from Open CASCADE community :

Bug registered by Filippo Bottega.

It is necessary to insert "&" symbol before "D)".

Existed string :
Standard_Boolean XCAFDoc_DocumentTool::IsXCAFDocument(const
Handle(TDocStd_Document) D)
{
return RootLDocLMap.IsBound(D->Main().Root());
}

Must be:
Standard_Boolean XCAFDoc_DocumentTool::IsXCAFDocument(const
Handle(TDocStd_Document)& D)
{
return RootLDocLMap.IsBound(D->Main().Root());
}

Bugmaster
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2003-08-04 13:26 bugmaster CC => tma, rln
2003-08-04 13:26 bugmaster Status new => verified
2003-08-06 11:04 bugmaster Status verified => closed
2003-08-06 11:04 bugmaster Resolution @0@ => fixed
2004-12-30 11:25 bugmaster Customer =>
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker